- NAME
- SYNOPSIS
- DESCRIPTION
- SEE ALSO
- HISTORY
- COPYRIGHT

# NAME

SSL_SESSION_get0_cipher - retrieve the SSL cipher associated with a session

# SYNOPSIS

     #include <openssl/ssl.h>

     const SSL_CIPHER *SSL_SESSION_get0_cipher(const SSL_SESSSION *s);

# DESCRIPTION

SSL_SESSION_get0_cipher() retrieves the cipher that was used by the connection when the session was created, or NULL if it cannot be determined.

The value returned is a pointer to an object maintained within s and should not be released.

# SEE ALSO

d2i_SSL_SESSION(3), SSL_SESSION_get0_hostname(3), HISTORY

SSL_SESSION_get0_cipher() was first added to OpenSSL 1.1.0

# COPYRIGHT

Copyright 2016 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the OpenSSL license (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at https://www.openssl.org/source/license.html.